%global module	pytest-helpers-namespace
%global srcname	pytest_helpers_namespace

Name:		python-%{module}
Version:	2021.12.29
Release:	%mkrel 5
Summary:	PyTest Helpers Namespace
Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/saltstack/pytest-helpers-namespace
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-declarative-requirements)
BuildRequires:	python3-setuptools-scm+toml

%description
Provides a helpers pytest namespace which can be used to register helper
functions without requiring you to import them on your actual tests to use
them.


%package -n	python3-%{module}
Summary:	PyTest Helpers Namespace for python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Provides a helpers pytest namespace which can be used to register helper
functions without requiring you to import them on your actual tests to use
them.


%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 2021.12.29-5.mga10
+ Revision: 2158493
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 2021.12.29-4.mga10
+ Revision: 2015743
- rebuild for py3.12

* Fri Nov 04 2022 wally <wally> 2021.12.29-3.mga9
+ Revision: 1902759
- update setuptools-scm BRs

* Fri Mar 25 2022 umeabot <umeabot> 2021.12.29-2.mga9
+ Revision: 1825609
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 2021.12.29-1.mga9
+ Revision: 1775855
- version 2021.12.29
- rebuild for python-3.10

* Mon Mar 29 2021 daviddavid <daviddavid> 2021.3.24-1.mga9
+ Revision: 1711623
- new version: 2021.3.24

* Mon Mar 22 2021 daviddavid <daviddavid> 2019.1.8-2.mga9
+ Revision: 1707323
- rebuild for python 3.9

* Mon Jun 01 2020 daviddavid <daviddavid> 2019.1.8-1.mga8
+ Revision: 1589360
- initial package python-pytest-helpers-namespace

